package ru.dbotthepony.mc.otm.client.render

import net.minecraft.resources.ResourceLocation
import ru.dbotthepony.mc.otm.OverdriveThatMatters

object ResearchIcons {
	val ICONS = ResourceLocation(OverdriveThatMatters.MOD_ID, "textures/gui/android_upgrades.png")
	val ICON_TRANSFER: SkinElement
	val ICON_ATTACK_BOOST: SkinElement
	val ICON_PLASMA_SHIELD_BOOST: SkinElement
	val ICON_CLOAK: SkinElement
	val ICON_GRAVITATIONAL_STABILIZER: SkinElement
	val ICON_AIR_BAGS: SkinElement
	val ICON_JUMP_BOOST: SkinElement

	val ICON_FEATHER_FALLING: SkinElement
	val ICON_ITEM_MAGNET: SkinElement
	val ICON_ARROW: SkinElement
	val ICON_ARMOR: SkinElement
	val ICON_NANOBOTS: SkinElement
	val ICON_NIGHT_VISION: SkinElement
	val ICON_OXYGEN_SUPPLY: SkinElement

	val ICON_PLASMA_SHIELD: SkinElement
	val ICON_SHOCKWAVE: SkinElement
	val ICON_LIMB_OVERCLOCKING: SkinElement
	val ICON_STEP_ASSIST: SkinElement
	val ICON_ENDER_TELEPORT: SkinElement
	val ICON_WIRELESS_CHARGING: SkinElement
	val ICON_UNKNOWN: SkinElement

	val ICON_EXTENDED_REACH: SkinElement

	val KOT = ResourceLocation(OverdriveThatMatters.MOD_ID,  "textures/block/ph_kitty.png").element(0f, 0f, 32f, 32f, 32f, 32f)
	val ICON_PHANTOM_ATTRACTOR = KOT

	init {
		val grid = SkinGrid(ICONS, 18f, 18f, 7, 7)

		ICON_TRANSFER = grid.next()
		ICON_ATTACK_BOOST = grid.next()
		ICON_PLASMA_SHIELD_BOOST = grid.next()
		ICON_CLOAK = grid.next()
		ICON_GRAVITATIONAL_STABILIZER = grid.next()
		ICON_AIR_BAGS = grid.next()
		ICON_JUMP_BOOST = grid.next()

		ICON_FEATHER_FALLING = grid.next()
		ICON_ITEM_MAGNET = grid.next()
		ICON_ARROW = grid.next()
		ICON_ARMOR = grid.next()
		ICON_NANOBOTS = grid.next()
		ICON_NIGHT_VISION = grid.next()
		ICON_OXYGEN_SUPPLY = grid.next()

		ICON_PLASMA_SHIELD = grid.next()
		ICON_SHOCKWAVE = grid.next()
		ICON_LIMB_OVERCLOCKING = grid.next()
		ICON_STEP_ASSIST = grid.next()
		ICON_ENDER_TELEPORT = grid.next()
		ICON_WIRELESS_CHARGING = grid.next()
		ICON_UNKNOWN = grid.next()

		ICON_EXTENDED_REACH = grid.next()
	}
}
