package ru.dbotthepony.mc.otm.network

import net.minecraftforge.network.NetworkDirection
import ru.dbotthepony.mc.otm.android.feature.ItemEntityDataPacket
import ru.dbotthepony.mc.otm.block.entity.EnergyCounterPacket

object WorldNetworkChannel : MatteryNetworkChannel(
	version = "1",
	name = "world"
) {
	fun register() {
		add(EnergyCounterPacket::class.java, EnergyCounterPacket.Companion::read, NetworkDirection.PLAY_TO_CLIENT)
		add(ItemEntityDataPacket::class.java, ItemEntityDataPacket.Companion::read, NetworkDirection.PLAY_TO_CLIENT)
	}
}
