package ru.dbotthepony.mc.otm.client.screen.panels

import ru.dbotthepony.mc.otm.client.render.WidgetLocation
import ru.dbotthepony.mc.otm.client.render.element

object ScrollBarConstants {
	const val WIDTH = 14f
	const val SLIM_WIDTH = 8f
	const val TEXTURE_WIDTH = 22f
	const val TEXTURE_HEIGHT = 68f

	val scrollBarTop = 				WidgetLocation.SCROLL.element(0f, 45f, 14f, 2f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
	val scrollBarBody = 			WidgetLocation.SCROLL.element(0f, 46f, 14f, 6f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
	val scrollBarBottom = 			WidgetLocation.SCROLL.element(0f, 51f, 14f, 2f, TEXTURE_WIDTH, TEXTURE_HEIGHT)

	val scrollBarButton = 			WidgetLocation.SCROLL.element(0f, 0f,  12f, 15f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
	val scrollBarButtonHover = 		WidgetLocation.SCROLL.element(0f, 15f, 12f, 15f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
	val scrollBarButtonPress = 		WidgetLocation.SCROLL.element(0f, 30f, 12f, 15f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
	val scrollBarButtonDisabled = 	WidgetLocation.SCROLL.element(0f, 53f, 12f, 15f, TEXTURE_WIDTH, TEXTURE_HEIGHT)

	val scrollSlimBarTop = 				WidgetLocation.SCROLL.element(14f, 45f, 8f, 2f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
	val scrollSlimBarBody = 			WidgetLocation.SCROLL.element(14f, 46f, 8f, 6f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
	val scrollSlimBarBottom = 			WidgetLocation.SCROLL.element(14f, 51f, 8f, 2f, TEXTURE_WIDTH, TEXTURE_HEIGHT)

	val scrollSlimBarButton = 				WidgetLocation.SCROLL.element(14f, 0f,  6f, 15f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
	val scrollSlimBarButtonHover = 			WidgetLocation.SCROLL.element(14f, 15f, 6f, 15f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
	val scrollSlimBarButtonPress = 			WidgetLocation.SCROLL.element(14f, 30f, 6f, 15f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
	val scrollSlimBarButtonDisabled = 		WidgetLocation.SCROLL.element(14f, 53f, 6f, 15f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
}
